<?php

class SendResource extends MailAdapter {
	public function post($request){
		// to Receive POST Params (use $this->params)
 		parent::post($request);

		if($this-> isLoggedIn())
		{
			// parametros recuperados conforme draft
			$msgForwardTo		= $this->getParam("msgForwardTo");
			$originalMsgID		= $this->getParam("originalMsgID");
			$originalUserAction	= $this->getParam("originalUserAction");

			$params['input_subject']	= $this->getParam("msgSubject");
			$params['input_to']			= $this->getParam("msgTo");
			$params['input_cc']			= $this->getParam("msgCcTo");
			$params['input_cco']		= $this->getParam("msgBccTo");
			$params['input_replyto']	= $this->getParam("msgReplyTo");
			$params['body']				= $this->getParam("msgBody");
			$params['type']				= $this->getParam("msgType") ? $this->getParam("msgType") : "plain";
			$params['folder'] =	
				$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'] == "-1" ? "null" :
				$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['save_in_folder'];

			$returncode = $this->getImap()->send_mail($params);
			if (!$returncode || !(is_array($returncode) && $returncode['success'] == true))
				Errors::runException("MAIL_NOT_SENT");
		}

		$this->setResult(true);

		//to Send Response (JSON RPC format)
		return $this->getResponse();
	}

}
